<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Edit_Asset_ResponseType StructType
 * Meta information extracted from the WSDL
 * - documentation: Business Asset Reference
 * @subpackage Structs
 */
class Edit_Asset_ResponseType extends AbstractStructBase
{
    /**
     * The Asset_Edit_Reference
     * Meta information extracted from the WSDL
     * - documentation: Business Asset Reference
     * - minOccurs: 0
     * @var \StructType\Business_AssetObjectType
     */
    public $Asset_Edit_Reference;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Edit_Asset_ResponseType
     * @uses Edit_Asset_ResponseType::setAsset_Edit_Reference()
     * @uses Edit_Asset_ResponseType::setVersion()
     * @param \StructType\Business_AssetObjectType $asset_Edit_Reference
     * @param string $version
     */
    public function __construct(\StructType\Business_AssetObjectType $asset_Edit_Reference = null, $version = null)
    {
        $this
            ->setAsset_Edit_Reference($asset_Edit_Reference)
            ->setVersion($version);
    }
    /**
     * Get Asset_Edit_Reference value
     * @return \StructType\Business_AssetObjectType|null
     */
    public function getAsset_Edit_Reference()
    {
        return $this->Asset_Edit_Reference;
    }
    /**
     * Set Asset_Edit_Reference value
     * @param \StructType\Business_AssetObjectType $asset_Edit_Reference
     * @return \StructType\Edit_Asset_ResponseType
     */
    public function setAsset_Edit_Reference(\StructType\Business_AssetObjectType $asset_Edit_Reference = null)
    {
        $this->Asset_Edit_Reference = $asset_Edit_Reference;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Edit_Asset_ResponseType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
